Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.util
Class PropertyUtil

    java.lang.Object
      com.sshtools.common.util.PropertyUtil

public class PropertyUtil
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`PropertyUtil()`

Method Summary
`static java.lang.String` | `colorToString(java.awt.Color color)` DOCUMENT ME!
`static java.lang.String` | `fontToString(java.awt.Font font)` DOCUMENT ME!
`static java.lang.String` | `numberToPaddedHexString(int number, int size)` DOCUMENT ME!
`static java.awt.Color` | `stringToColor(java.lang.String s)` DOCUMENT ME!
`static java.awt.Font` | `stringToFont(java.lang.String fontString)` DOCUMENT ME!
`static int` | `stringToInt(java.lang.String number, int defaultValue)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyUtil

    public PropertyUtil()

Method Detail

### stringToInt

    public static int stringToInt(java.lang.String number,
                                  int defaultValue)

  DOCUMENT ME!

  Parameters:
    `number` - DOCUMENT ME!
    `defaultValue` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### colorToString

    public static java.lang.String colorToString(java.awt.Color color)

  DOCUMENT ME!

  Parameters:
    `color` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### fontToString

    public static java.lang.String fontToString(java.awt.Font font)

  DOCUMENT ME!

  Parameters:
    `font` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### stringToFont

    public static java.awt.Font stringToFont(java.lang.String fontString)

  DOCUMENT ME!

  Parameters:
    `fontString` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### stringToColor

    public static java.awt.Color stringToColor(java.lang.String s)

  DOCUMENT ME!

  Parameters:
    `s` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.lang.IllegalArgumentException` - DOCUMENT ME!

### numberToPaddedHexString

    public static java.lang.String numberToPaddedHexString(int number,
                                                           int size)

  DOCUMENT ME!

  Parameters:
    `number` - DOCUMENT ME!
    `size` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.lang.IllegalArgumentException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD